Package org.apache.sysds.runtime.transform.decode

## Enum DecoderFactory.DecoderType

- java.lang.Object
- - java.lang.Enum<DecoderFactory.DecoderType>
  - - org.apache.sysds.runtime.transform.decode.DecoderFactory.DecoderType

- All Implemented Interfaces:
    `Serializable`, `Comparable<DecoderFactory.DecoderType>`
  Enclosing class:
    DecoderFactory

      public static enum DecoderFactory.DecoderType
      extends Enum<DecoderFactory.DecoderType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `Dummycode` |
    `PassThrough` |
    `Recode` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static DecoderFactory.DecoderType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static DecoderFactory.DecoderType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Dummycode

          public static final DecoderFactory.DecoderType Dummycode

    - #### PassThrough

          public static final DecoderFactory.DecoderType PassThrough

    - #### Recode

          public static final DecoderFactory.DecoderType Recode

  - ### Method Detail

    - #### values

          public static DecoderFactory.DecoderType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DecoderFactory.DecoderType c : DecoderFactory.DecoderType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DecoderFactory.DecoderType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null